Subject: Allocation of MDIO bus numbers when fixed MDIO bus is enabled?

From: Florian Fainelli <[email-masked]>
Date: Thu, 29 Dec 2011 17:09:44 +0100

Hello Andy,

An user of the r6040 driver has enabled support for the Fixed MDIO bus, 
so when the r6040 registers with its first instance, it will also try to 
register a MDIO bus with id 0, and this fails.

What's the proper solution to fixing this kind of issue? The same user 
proposed to use the pci slot and function as an id for registering the 
MDIO bus, which will work for PCI devices, but not for platform_devices 
for instance.

Thanks.
--
Florian